/*******************************************************************************
 * Copyright (c) 2006 RadRails.org and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.radrails.org/legal/cpl-v10.html
 *******************************************************************************/

package org.radrails.db.internal.ui.editors.dbtable;

/**
 * @author mkent
 *
 */
public class Field {

	private Row fParent;
	
	private String fColumnName;
	
	private Object fOriginalValue;
	
	private Object fCurrentValue;
	
	private boolean fIsPk;
	
	private int fType;
	
	private boolean fIsModified;
	
	public Field(Row parent, String columnName, Object originalValue, boolean isPk, int type) {
		fParent = parent;
		fColumnName = columnName;
		fOriginalValue = originalValue;
		fCurrentValue = originalValue;
		fIsPk = isPk;
		fType = type;
		fIsModified = false;
	}

	public String getColumnName() {
		return fColumnName;
	}

	public Object getCurrentValue() {
		return fCurrentValue;
	}

	public void setCurrentValue(Object currentValue) {
		fCurrentValue = currentValue;
		fParent.rowUpdated();
		fIsModified = true;
	}

	public Object getOriginalValue() {
		return fOriginalValue;
	}
	
	public boolean isPk() {
		return fIsPk;
	}
	
	public int getType() {
		return fType;
	}
	
	public boolean isModified() {
		return fIsModified;
	}
	
}
