/*******************************************************************************
 * Copyright (c) 2005 Tobias Widmer and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public Licence v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Tobias Widmer - initial API and implementation
 *******************************************************************************/
package org.radrails.rails.internal.ui.editors.rhtml;

import org.eclipse.jface.text.IAutoEditStrategy;
import org.eclipse.jface.text.link.LinkedPosition;

/**
 * Interface for linked mode edit strategies.
 */
public interface ILinkedModeEditStrategy extends IAutoEditStrategy {

	/**
	 * Returns the linked positions to use for the most recently processed
	 * document command.
	 * 
	 * @return An array of linked positions to use in linked mode, or
	 *         <code>null</code> if no linked mode should be set up
	 */
	public LinkedPosition[] getLinkedPositions();
}
