package org.radrails.rails.internal.ui.editors.rhtml;

public final class RHTMLFormatterConstants {

	public static final String INDENT_PREFIX = "rails.ui.editor.rhtml.formatter.indent";
	public static final String NODE_TYPE_TAG = "tag";
	public static final String NODE_TYPE_TEXT = "text";
	public static final String NODE_TYPE_ERB_EVAL = "erb_eval";
	public static final String NODE_TYPE_ERB_OUTPUT = "erb_output";
	
	public static final String[] NODE_TYPES = {"text", "erb_eval", "erb_output", "tag"};
	// the orders of these two arrays must be matched
	// the labels are for display on the preference page
	public static final String[] NODE_LABELS = {"Text nodes", "ERb eval nodes", "ERb output nodes", "Tag nodes"};
	
	public static String getIndentPrefKey(String parent, String child) {
		return INDENT_PREFIX + "." + parent + "." + child;
	}
}
