package org.radrails.rails.internal.ui.editors.rhtml.model;

import org.eclipse.jface.resource.ImageDescriptor;
import org.radrails.rails.internal.ui.RailsUIPlugin;
import org.radrails.rails.internal.ui.editors.rhtml.RHTMLPartitionScanner;

/**
 * A comment in RHTML. <!-- --> tags are comments, but so are gtoggled ERb comments
 * of the form <% if false %> (html and ERb) <% end %>\n.
 * 
 * @author brad
 *
 */
public class CommentNode extends RHTMLNode {
	private static final ImageDescriptor OUTLINE_IMAGE = RailsUIPlugin.getImageDescriptor("icons/comment_obj.gif");

	public CommentNode(String comment, int start) {
		super(comment, start, RHTMLPartitionScanner.RHTML_MULTILINE_COMMENT);
	}
	
	public ImageDescriptor getImage() {
		return OUTLINE_IMAGE;
	}

	public String getLabel() {
		String label = getText().trim();
		if(label.length() > MAX_LABEL_LENGTH) {
			label = label.substring(0, MAX_LABEL_LENGTH);
			label += "...";
		}
		return label;
	}
	
	public boolean hasChildren() {
		return false;
	}

}
