package org.radrails.rails.internal.ui.editors.rhtml.model;

import org.eclipse.jface.resource.ImageDescriptor;
import org.radrails.rails.internal.ui.RailsUIPlugin;
import org.radrails.rails.internal.ui.editors.rhtml.RHTMLPartitionScanner;

/**
 * A doctype node. 
 * @author brad
 *
 */
public class DoctypeNode extends RHTMLNode {
	private static final ImageDescriptor OUTLINE_IMAGE = RailsUIPlugin.getImageDescriptor("icons/comment_obj.gif");

	public DoctypeNode(String text, int start) {
		super(text, start, RHTMLPartitionScanner.RHTML_DOCTYPE);
	}
	
	public ImageDescriptor getImage() {
		return OUTLINE_IMAGE;
	}

	public String getLabel() {
		return "Doctype";
	}
	
	public boolean hasChildren() {
		return false;
	}
}
