package org.radrails.rails.internal.ui.editors.rhtml.model;

import org.eclipse.jface.resource.ImageDescriptor;
import org.radrails.rails.internal.ui.RailsUIPlugin;

/**
 * Some text in an RHTML file.
 * 
 * @author brad
 */
public class TextNode extends RHTMLNode {
	private static final ImageDescriptor OUTLINE_IMAGE = RailsUIPlugin.getImageDescriptor("icons/text.gif");

	public TextNode(String text, int start) {
		super(text, start, null);
	}

	public ImageDescriptor getImage() {
		return OUTLINE_IMAGE;
	}

	public String getLabel() {
		String label = getText().trim();
		if(label.length() > MAX_LABEL_LENGTH) {
			label = label.substring(0, MAX_LABEL_LENGTH);
			label += "...";
		}
		return label;
	}

	public boolean hasChildren() {
		return false;
	}

	public String getText() {
		return super.getText();
	}

}
