package org.radrails.rails.internal.ui.preferences;

import org.eclipse.jface.preference.BooleanFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Label;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.radrails.rails.internal.ui.RailsUIPlugin;
import org.radrails.rails.internal.ui.editors.rhtml.RHTMLFormatterConstants;

public class RHTMLFormatterPreferencePage extends FieldEditorPreferencePage
		implements IWorkbenchPreferencePage {

	public RHTMLFormatterPreferencePage() {
		super(GRID);
		setPreferenceStore(RailsUIPlugin.getInstance().getPreferenceStore());
	}

	protected void createFieldEditors() {
		Composite box = new Composite(getFieldEditorParent(), SWT.NONE);
		GridData gd = new GridData(GridData.FILL_HORIZONTAL);
		box.setLayoutData(gd);
		GridLayout gl = new GridLayout();
		box.setLayout(gl);
		
		Label desc = new Label(box, SWT.LEFT);
		desc.setText("Select which types of children will be indented for each type of parent node:");
		
		String[] nodes = RHTMLFormatterConstants.NODE_TYPES;
		String[] labels = RHTMLFormatterConstants.NODE_LABELS;
		
		Group group = new Group(box, SWT.SHADOW_NONE);
		gd = new GridData(GridData.FILL_BOTH);
		group.setLayoutData(gd);
		group.setText("HTML Tag nodes");
		for(int j = 0; j < nodes.length; j++) {
			// pref id format is PREFIX + PARENT + CHILD
			addField(new BooleanFieldEditor(RHTMLFormatterConstants.getIndentPrefKey(RHTMLFormatterConstants.NODE_TYPE_TAG, nodes[j]), labels[j], group));
		}
		
		group = new Group(box, SWT.SHADOW_NONE);
		gd = new GridData(GridData.FILL_BOTH);
		group.setLayoutData(gd);
		group.setText("ERb eval nodes (do, if, unless, etc)");
		for(int j = 0; j < nodes.length; j++) {
			// pref id format is PREFIX + PARENT + CHILD
			addField(new BooleanFieldEditor(RHTMLFormatterConstants.getIndentPrefKey(RHTMLFormatterConstants.NODE_TYPE_ERB_EVAL, nodes[j]), labels[j], group));
		}
	}

	public void init(IWorkbench workbench) {

	}

}
